Bug 4901 - Radeon seccolor broken for tcl_mode=1
Radeon seccolor broken for tcl_mode=1
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100
git
Other FreeBSD
: high normal
Assigned To: Default DRI bug account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 00:57 UTC by Eric Anholt
Modified: 2009-08-24 12:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
patch to fix secondary color issue when lighting is disabled on radeon and r200 (1.34 KB, patch)
2005-10-28 16:26 UTC, Roland Scheidegger
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Anholt 2005-10-27 00:57:55 UTC
Mesa/progs/tests/seccolor.c gives bad results for tcl_mode=1 on Radeon.  I
haven't figured out why.
Comment 1 Eric Anholt 2005-10-27 01:09:30 UTC
Same goes for r200.  Probably the same issue for both.
Comment 2 Roland Scheidegger 2005-10-28 16:26:36 UTC
Created attachment 3659 [details] [review]
patch to fix secondary color issue when lighting is disabled on radeon and r200

suggested fix. We may need to transmit the secondary color values even when
lighting is disabled (in particular, when color sum is enabled). (I don't have
time  right now to test/commit, feel free to do it.)
Comment 3 Eric Anholt 2005-10-28 17:27:12 UTC
Yeah, that's right, good catch.  (I'd been looking in UpdateSpecular for what
was wrong, instead of there).  Tested on rv200 and r200 with seccolor, and
committed.
Comment 4 ajax at nwnk dot net 2009-08-24 12:23:32 UTC
Mass version move, cvs -> git